edu.isi.pegasus.planner.catalog.site

## Class SiteCatalogException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - edu.isi.pegasus.planner.catalog.CatalogException
        - - edu.isi.pegasus.planner.catalog.site.SiteCatalogException

All Implemented Interfaces:
  java.io.Serializable

    public class SiteCatalogException
    extends CatalogException

Class to notify of failures. Exceptions are chained like the `SQLException` interface.

Author:
  Jens-S. Vöckler, Karan Vahi
See Also:
  `SiteCatalog`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SiteCatalogException()` Constructs a `SiteCatalogException` with no detail message.
`SiteCatalogException(java.lang.String s)` Constructs a `SiteCatalogException` with the specified detailed message.
`SiteCatalogException(java.lang.String s, java.lang.Throwable cause)` Constructs a `SiteCatalogException` with the specified detailed message and a cause.
`SiteCatalogException(java.lang.Throwable cause)` Constructs a `SiteCatalogException` with the specified just a cause.

### Method Summary

### Methods inherited from class edu.isi.pegasus.planner.catalog.CatalogException

`getNextException, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SiteCatalogException

    public SiteCatalogException()

Constructs a `SiteCatalogException` with no detail message.

#### SiteCatalogException

    public SiteCatalogException(java.lang.String s)

Constructs a `SiteCatalogException` with the specified detailed message.

Parameters:
  `s` - is the detailled message.

#### SiteCatalogException

    public SiteCatalogException(java.lang.String s,
                                java.lang.Throwable cause)

Constructs a `SiteCatalogException` with the specified detailed message and a cause.

Parameters:
  `s` - is the detailled message.
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

#### SiteCatalogException

    public SiteCatalogException(java.lang.Throwable cause)

Constructs a `SiteCatalogException` with the specified just a cause.

Parameters:
  `cause` - is the cause (which is saved for later retrieval by the `Throwable.getCause()` method). A `null` value is permitted, and indicates that the cause is nonexistent or unknown.